#Module-Specific definitions
%define mod_name mod_overload
%define mod_conf B51_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	Prevents apache overloading by checking load averages
Name:		apache-%{mod_name}
Version:	0.2.1.5
Release: 	%mkrel 2
Group:		System/Servers
License:	GPLv2
URL:		http://sourceforge.net/projects/modoverload/
Source0:	http://heanet.dl.sourceforge.net/sourceforge/modoverload/%{mod_name}-%{version}.tar.gz
Source1:	%{mod_conf}
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.0
Requires(pre):	apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Apache module which is checking load average and when it is higher then defined
stops current request(has ability to stop other request too).

%prep

%setup -q -n %{mod_name}-%{version}

cp %{SOURCE1} %{mod_conf}

%build
%{_sbindir}/apxs -c %{mod_name}.c -lm

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/httpd/modules.d
install -d %{buildroot}%{_libdir}/apache-extramodules

install -m0755 .libs/%{mod_so} %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}



%changelog
* Sat Aug 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2.1.5-2mdv2010.0
+ Revision: 406630
- rebuild

* Sun Jun 21 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2.1.5-1mdv2010.0
+ Revision: 387707
- 0.2.1.5

* Tue Jan 06 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2-2mdv2009.1
+ Revision: 326215
- rebuild

* Mon Nov 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2-1mdv2009.1
+ Revision: 303988
- import apache-mod_overload


* Mon Nov 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2-1mdv2009.0
- initial Mandriva package
